
import recruitApi from '../../api/recruit'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    type:1,//社招
    recruitList:[],
    showClear:false,
    searchinput:'',
    page:1,
    pageNum:10,
    count:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
       
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.setData({
      page:1
    })
    this.getRecruitList();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
      var totalPage = Math.ceil(this.data.count/this.data.pageNum)
      console.log('到底了')
      var page = this.data.page
      page++;
      this.setData({
        page:page
      })
      if(page<=totalPage){
        this.getRecruitList();
      }
     
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  goToInfo:function(e){
    var id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '../recruitInfo/recruitInfo?id='+id
    })
  },
  getRecruitList: async function(name='') {
    var result = await recruitApi.getRecruitList(name,this.data.type,this.data.page,this.data.pageNum);
    console.log(result)
    if(this.data.page!=1){
      var nowResult = this.data.recruitList.concat(result.list)
    }else{
      var nowResult = result.list
    }
    
    this.setData({
      recruitList:nowResult,
      count:result.count,
      page:result.page
    })
  },
  inputFocus:function(e) {
    var recruit = e.detail.value
    if(recruit){
      this.setData({
        showClear:true,
        searchinput:recruit
      })
    }else{
      this.setData({
        showClear:false,
        searchinput:''
      })
    }
  },
  clearInput:function() {
    this.setData({
      showClear:false,
      searchinput:''  
    })
  },
  searchContents:function() {
    var recruit = this.data.searchinput
    console.log(recruit)
    this.setData({
      page:1
    })
    this.getRecruitList(recruit)
  }

})